> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Create an entitlement

POST https://{tenant}.atomicwork.com/api/v1/iga/entitlements
Content-Type: application/json

Create a new identity entitlement. Requires app_id and type.
The entitlement can then be associated with policies and granted to users.


Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/access-management/postapi-v-1-iga-entitlements

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — Name of the entitlement
- `app_id` (long, required) — ID of the identity resource app this entitlement belongs to
- `description` (string, optional) — Description of the entitlement
- `status` (enum, optional) — Status of the entitlement. Defaults to PUBLISHED if not specified.
  - Allowed values: `UNPUBLISHED`, `PUBLISHED`
- `provisioning_config` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfig, optional)
- `deprovisioning_config` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfig, optional)

## Response

### 200

Successful response

## Types

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfig

- `provider` (enum, required) — Provisioning provider
  - Allowed values: `OKTA`, `AZURE_AD`, `MS_INTUNE`, `JUMPCLOUD`, `GOOGLE_WORKSPACE`, `TUEBORA`, `MANUAL`
- `type` (enum, required) — Type of provisioning configuration
  - Allowed values: `OKTA_GROUP_PROVISIONING`, `AZURE_GROUP_PROVISIONING`, `INTUNE_GROUP_PROVISIONING`, `JUMPCLOUD_GROUP_PROVISIONING`, `GOOGLE_WORKSPACE_GROUP_PROVISIONING`, `MANUAL_PROVISIONING`
- `value` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfigValue, required)

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfig

- `provider` (enum, required) — Deprovisioning provider
  - Allowed values: `OKTA`, `AZURE_AD`, `MS_INTUNE`, `JUMPCLOUD`, `GOOGLE_WORKSPACE`, `TUEBORA`, `MANUAL`
- `type` (enum, required) — Type of deprovisioning configuration
  - Allowed values: `OKTA_GROUP_DEPROVISIONING`, `AZURE_GROUP_DEPROVISIONING`, `INTUNE_GROUP_DEPROVISIONING`, `JUMPCLOUD_GROUP_DEPROVISIONING`, `GOOGLE_WORKSPACE_GROUP_DEPROVISIONING`, `MANUAL_DEPROVISIONING`
- `value` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfigValue, required)

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfigValue

- `label` (string, optional) — Group label/name (for OKTA/AZURE) or Workspace name (for MANUAL)
- `icon` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfigValueIcon, optional)
- `value` (string, optional) — Group ID (for OKTA/AZURE) or Workspace ID (for MANUAL)

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfigValue

- `value` (string, optional) — Group ID (for OKTA/AZURE) or Workspace ID (for MANUAL)
- `label` (string, optional) — Group label/name (for OKTA/AZURE) or Workspace name (for MANUAL)
- `icon` (ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfigValueIcon, optional)

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaProvisioningConfigValueIcon

- `name` (string, optional) — Icon name
- `type` (string, optional) — Icon type
- `url` (string, optional, nullable) — Icon URL (for OKTA/AZURE)

### ApiV1IgaEntitlementsPostRequestBodyContentApplicationJsonSchemaDeprovisioningConfigValueIcon

- `name` (string, optional) — Icon name
- `type` (string, optional) — Icon type
- `url` (string, optional, nullable) — Icon URL (for OKTA/AZURE)

## Examples

**Request**

```json
{
  "name": "",
  "app_id": 0,
  "description": "",
  "status": "UNPUBLISHED",
  "provisioning_config": {
    "provider": "OKTA",
    "type": "OKTA_GROUP_PROVISIONING",
    "value": {
      "label": "",
      "icon": {
        "name": "string",
        "type": "string",
        "url": "string"
      },
      "value": ""
    }
  },
  "deprovisioning_config": {
    "provider": "OKTA",
    "type": "OKTA_GROUP_DEPROVISIONING",
    "value": {
      "value": "",
      "label": "",
      "icon": {
        "name": "string",
        "type": "string",
        "url": "string"
      }
    }
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Access Management_postapi_v1_iga_entitlements_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/iga/entitlements"

payload = {
    "name": "",
    "app_id": 0,
    "description": "",
    "status": "UNPUBLISHED",
    "provisioning_config": {
        "provider": "OKTA",
        "type": "OKTA_GROUP_PROVISIONING",
        "value": {
            "label": "",
            "icon": {
                "name": "string",
                "type": "string",
                "url": "string"
            },
            "value": ""
        }
    },
    "deprovisioning_config": {
        "provider": "OKTA",
        "type": "OKTA_GROUP_DEPROVISIONING",
        "value": {
            "value": "",
            "label": "",
            "icon": {
                "name": "string",
                "type": "string",
                "url": "string"
            }
        }
    }
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Access Management_postapi_v1_iga_entitlements_example
const url = 'https://{tenant}.atomicwork.com/api/v1/iga/entitlements';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"","app_id":0,"description":"","status":"UNPUBLISHED","provisioning_config":{"provider":"OKTA","type":"OKTA_GROUP_PROVISIONING","value":{"label":"","icon":{"name":"string","type":"string","url":"string"},"value":""}},"deprovisioning_config":{"provider":"OKTA","type":"OKTA_GROUP_DEPROVISIONING","value":{"value":"","label":"","icon":{"name":"string","type":"string","url":"string"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Access Management_postapi_v1_iga_entitlements_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/iga/entitlements"

	payload := strings.NewReader("{\n  \"name\": \"\",\n  \"app_id\": 0,\n  \"description\": \"\",\n  \"status\": \"UNPUBLISHED\",\n  \"provisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_PROVISIONING\",\n    \"value\": {\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      },\n      \"value\": \"\"\n    }\n  },\n  \"deprovisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_DEPROVISIONING\",\n    \"value\": {\n      \"value\": \"\",\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Access Management_postapi_v1_iga_entitlements_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/iga/entitlements")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"\",\n  \"app_id\": 0,\n  \"description\": \"\",\n  \"status\": \"UNPUBLISHED\",\n  \"provisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_PROVISIONING\",\n    \"value\": {\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      },\n      \"value\": \"\"\n    }\n  },\n  \"deprovisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_DEPROVISIONING\",\n    \"value\": {\n      \"value\": \"\",\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Access Management_postapi_v1_iga_entitlements_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/iga/entitlements")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"\",\n  \"app_id\": 0,\n  \"description\": \"\",\n  \"status\": \"UNPUBLISHED\",\n  \"provisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_PROVISIONING\",\n    \"value\": {\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      },\n      \"value\": \"\"\n    }\n  },\n  \"deprovisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_DEPROVISIONING\",\n    \"value\": {\n      \"value\": \"\",\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Access Management_postapi_v1_iga_entitlements_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/iga/entitlements', [
  'body' => '{
  "name": "",
  "app_id": 0,
  "description": "",
  "status": "UNPUBLISHED",
  "provisioning_config": {
    "provider": "OKTA",
    "type": "OKTA_GROUP_PROVISIONING",
    "value": {
      "label": "",
      "icon": {
        "name": "string",
        "type": "string",
        "url": "string"
      },
      "value": ""
    }
  },
  "deprovisioning_config": {
    "provider": "OKTA",
    "type": "OKTA_GROUP_DEPROVISIONING",
    "value": {
      "value": "",
      "label": "",
      "icon": {
        "name": "string",
        "type": "string",
        "url": "string"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Access Management_postapi_v1_iga_entitlements_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/iga/entitlements");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"\",\n  \"app_id\": 0,\n  \"description\": \"\",\n  \"status\": \"UNPUBLISHED\",\n  \"provisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_PROVISIONING\",\n    \"value\": {\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      },\n      \"value\": \"\"\n    }\n  },\n  \"deprovisioning_config\": {\n    \"provider\": \"OKTA\",\n    \"type\": \"OKTA_GROUP_DEPROVISIONING\",\n    \"value\": {\n      \"value\": \"\",\n      \"label\": \"\",\n      \"icon\": {\n        \"name\": \"string\",\n        \"type\": \"string\",\n        \"url\": \"string\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Access Management_postapi_v1_iga_entitlements_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "",
  "app_id": 0,
  "description": "",
  "status": "UNPUBLISHED",
  "provisioning_config": [
    "provider": "OKTA",
    "type": "OKTA_GROUP_PROVISIONING",
    "value": [
      "label": "",
      "icon": [
        "name": "string",
        "type": "string",
        "url": "string"
      ],
      "value": ""
    ]
  ],
  "deprovisioning_config": [
    "provider": "OKTA",
    "type": "OKTA_GROUP_DEPROVISIONING",
    "value": [
      "value": "",
      "label": "",
      "icon": [
        "name": "string",
        "type": "string",
        "url": "string"
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/iga/entitlements")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```